local button = require("love_src.src.world.common.component.button")

local template = {}

local function  default()
end

template.default_data = {
  collider = {
    x = 0,
    y = 0,
    w = 20,
    h = 20
  },
  func = default,
  label = "debug"
}
function template.assemble(e, data)
  e:give(button.dict.collider, data.collider.x, data.collider.y, data.collider.w, data.collider.h)
  e:give(button.dict.func, data.func)
  e:give(button.dict.label, data.label)
end

return template
